Get all awarded lines
get
/fscmRestApi/resources/11.13.18.05/supplierNegotiationAwards/{AuctionHeaderId}/child/lines/{LineId}/child/responsesLines
Request
Path Parameters
-
AuctionHeaderId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
LineId(required): number
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the recommended response lines for awarding based on the primary key.
Finder Variables- LineId; integer; Value that uniquely identifies a recommended response line for awarding in a supplier negotiation.
- Response; integer; Value that uniquely identifies a recommended supplier response for awarding in a supplier negotiation.
- PrimaryKey Finds the recommended response lines for awarding based on the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AlternateLineDescription; string; Description of an alternate line.
- AlternateLineFlag; boolean; Value that indicates if alternate lines are present in the negotiation.
- AuctionHeaderId; integer; Value that uniquely identifies the negotiation.
- AwardAmount; number; Amount awarded to a supplier response line.
- AwardInternalNote; string; Note to the internal members entered by the buyer regarding the award decision.
- AwardNoteToSupplier; string; Note to supplier entered during the award process by the buyer.
- AwardPrice; number; Price of the awarded line item.
- AwardQuantity; number; Total quantity of line items awarded in a supplier negotiation.
- AwardUOM; string; Type of negotiation line, such as line, group, group line, lot, or lot line. A list of accepted values is defined in the lookup type PON_GROUP_TYPE.
- BusinessRelationship; string; Display name of the business relationship of the supplier's enterprise. Values include None, Prospective, and Spend Authorized.
- GroupType; string; Type of negotiation line, such as line, group, group line, lot, or lot line. A list of accepted values is defined in the lookup type PON_GROUP_TYPE.
- HasQuantityTiersFlag; boolean; Value that indicates whether the line has quantity-based price tiers.
- HasScoringTeamsFlag; boolean; Value that indicates whether the supplier negotiation has enabled scoring teams to evaluate the requirements.
- HasShipmentsFlag; boolean; Value that indicates whether the supplier negotiation has shipment enabled for the line items.
- Line; string; Line number of the negotiation line.
- LineAmount; number; Total amount of the line item, calculated based on the quantity.
- LineDescription; string; Description of the negotiation line.
- LineId; integer; Unique identifier of the negotiation line.
- LinePrice; number; Price of the line item based on the award quantity.
- MaximumRetainageAmount; number; Maximum amount of retainage that can be withheld on a line.
- MinimumReleaseAmount; number; Minimum release amount that the supplier quotes when responding to a negotiation with an agreement outcome.
- OverriddenScore; number; New score for a given quote or score that replaces the system-computed average score.
- PartialResponseFlag; boolean; Contains one of the following values: true or false. If true, then the supplier has submitted a partial response. A partial response means the supplier hasn't bid on all lines or is offering a lesser quantity than asked for in the negotiation line.
- PromisedShipDate; string; Date on which the supplier has promised to ship the goods to the buying organization if the Buyer Managed transportation is checked in negotiation terms.
- Quantity; number; Quantity of the item in the negotiation.
- Rank; integer; The rank value displayed for the line item based on the response price.
- Response; integer; Unique identifier of the supplier response in a supplier negotiation.
- ResponseAmount; number; Total amount calculated for all line items that the supplier offered a price for when responding to a negotiation.
- ResponseStatusCode; string; Value that uniquely identifies the response status.
- ResponseType; string; Value that uniquely identifies the response.
- RetainageRatePercent; number; Value that identifies the maximum percentage that can be withheld from an invoice as retainage.
- Score; number; Value calculated by summing the scores associated with a supplier's responses to requirements specified in the negotiation.
- ScoreOverriddenFlag; boolean; Contains one of the following values: true or false. If true, then the buyer has overridden the score. If false, then the score isn't overridden.
- ShortlistFlag; boolean; Value that indicates whether the corresponding bid has been shortlisted.
- Supplier; string; Name of the supplier who responds to the negotiation.
- SupplierContact; string; Name of the supplier contact at the supplier that responds to the negotiation.
- SupplierId; integer; Value that uniquely identifies the supplier.
- SupplierNumber; string; Unique identifier for the supplier bidder.
- SupplierSite; string; Name of the supplier site.
- SupplierSiteId; integer; Value that identifies the supplier site.
- TransformedAmount; number; Transformed bid total in buyer's currency.
- TransformedLineAmount; number; Total amount calculated as the quantity multiplied by the transformed price.
- TransformedPrice; number; The sum of the line price and internal cost factors applied to a supplier for that line item.
- TransformedRank; integer; Transformed Rank for this particular bid.
- UnitPriceSavings; number; The savings realized from one unit of the awarded line.
- UnitPriceSavingsPercent; number; The percentage savings realized from one unit of the awarded line.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : supplierNegotiationAwards-lines-responsesLines
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierNegotiationAwards-lines-responsesLines-item-response
Type:
Show Source
object-
AlternateLineDescription: string
Read Only:
trueMaximum Length:2500Description of an alternate line. -
AlternateLineFlag: boolean
Read Only:
trueMaximum Length:1Value that indicates if alternate lines are present in the negotiation. -
AuctionHeaderId: integer
Read Only:
trueValue that uniquely identifies the negotiation. -
AwardAmount: number
Read Only:
trueAmount awarded to a supplier response line. -
AwardInternalNote: string
Read Only:
trueMaximum Length:4000Note to the internal members entered by the buyer regarding the award decision. -
AwardNoteToSupplier: string
Read Only:
trueMaximum Length:4000Note to supplier entered during the award process by the buyer. -
AwardPrice: number
Read Only:
truePrice of the awarded line item. -
AwardQuantity: number
Read Only:
trueTotal quantity of line items awarded in a supplier negotiation. -
AwardStatus: string
Read Only:
trueMaximum Length:255Value that identifies whether the response was awarded or rejected. -
AwardUOM: string
Read Only:
trueMaximum Length:25Type of negotiation line, such as line, group, group line, lot, or lot line. A list of accepted values is defined in the lookup type PON_GROUP_TYPE. -
BusinessRelationship: string
Read Only:
trueMaximum Length:255Display name of the business relationship of the supplier's enterprise. Values include None, Prospective, and Spend Authorized. -
CompositeScore: number
Read Only:
trueSum of the weighted requirement score, and the relative pricing score that's calculated based on the total response amount provided by the supplier. The higher the composite score, the better the overall rank. -
GroupAmount: number
Read Only:
trueTotal amount quoted by the supplier bidder for the group lines. -
GroupType: string
Read Only:
trueMaximum Length:25Type of negotiation line, such as line, group, group line, lot, or lot line. A list of accepted values is defined in the lookup type PON_GROUP_TYPE. -
HasQuantityTiersFlag: boolean
Read Only:
trueMaximum Length:1Value that indicates whether the line has quantity-based price tiers. -
HasScoringTeamsFlag: boolean
Read Only:
trueMaximum Length:1Value that indicates whether the supplier negotiation has enabled scoring teams to evaluate the requirements. -
HasShipmentsFlag: boolean
Read Only:
trueMaximum Length:255Value that indicates whether the supplier negotiation has shipment enabled for the line items. -
Line: string
Read Only:
trueMaximum Length:255Line number of the negotiation line. -
LineAmount: number
Read Only:
trueTotal amount of the line item, calculated based on the quantity. -
LineDescription: string
Read Only:
trueMaximum Length:2500Description of the negotiation line. -
LineId: integer
Read Only:
trueUnique identifier of the negotiation line. -
LinePrice: number
Read Only:
truePrice of the line item based on the award quantity. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MaximumRetainageAmount: number
Read Only:
trueMaximum amount of retainage that can be withheld on a line. -
MinimumReleaseAmount: number
Read Only:
trueMinimum release amount that the supplier quotes when responding to a negotiation with an agreement outcome. -
NoteToBuyer: string
Read Only:
trueMaximum Length:4000Note that the supplier enters for the buyer when responding to the negotiation. -
OverriddenScore: number
Read Only:
trueNew score for a given quote or score that replaces the system-computed average score. -
PartialResponseFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the supplier has submitted a partial response. A partial response means the supplier hasn't bid on all lines or is offering a lesser quantity than asked for in the negotiation line. -
PreviousRoundBidAndScore: string
Read Only:
trueMaximum Length:255Score of the requirements from the previous round of supplier negotiations. -
Price: number
Read Only:
truePrice of the line item based on the award quantity. -
PromisedDeliveryDate: string
(date)
Read Only:
trueDate on which the supplier has promised to deliver the goods to the buying organization. -
PromisedShipDate: string
(date)
Read Only:
trueDate on which the supplier has promised to ship the goods to the buying organization if the Buyer Managed transportation is checked in negotiation terms. -
Quantity: number
Read Only:
trueQuantity of the item in the negotiation. -
Rank: integer
Read Only:
trueThe rank value displayed for the line item based on the response price. -
Response: integer
Read Only:
trueUnique identifier of the supplier response in a supplier negotiation. -
ResponseAmount: number
Read Only:
trueTotal amount calculated for all line items that the supplier offered a price for when responding to a negotiation. -
ResponseStatusCode: string
Read Only:
trueMaximum Length:25Value that uniquely identifies the response status. -
ResponseType: string
Read Only:
trueMaximum Length:25Value that uniquely identifies the response. -
RetainageRatePercent: number
Read Only:
trueValue that identifies the maximum percentage that can be withheld from an invoice as retainage. -
Score: number
Read Only:
trueValue calculated by summing the scores associated with a supplier's responses to requirements specified in the negotiation. -
ScoreOverriddenFlag: boolean
Read Only:
trueMaximum Length:255Contains one of the following values: true or false. If true, then the buyer has overridden the score. If false, then the score isn't overridden. -
ShortlistFlag: boolean
Read Only:
trueMaximum Length:1Value that indicates whether the corresponding bid has been shortlisted. -
Supplier: string
Read Only:
trueMaximum Length:360Name of the supplier who responds to the negotiation. -
SupplierContact: string
Read Only:
trueMaximum Length:255Name of the supplier contact at the supplier that responds to the negotiation. -
SupplierId: integer
Read Only:
trueValue that uniquely identifies the supplier. -
SupplierNumber: string
Read Only:
trueMaximum Length:30Unique identifier for the supplier bidder. -
SupplierSite: string
Read Only:
trueMaximum Length:240Name of the supplier site. -
SupplierSiteId: integer
Read Only:
trueValue that identifies the supplier site. -
TransformedAmount: number
Read Only:
trueTransformed bid total in buyer's currency. -
TransformedGroupAmount: number
Read Only:
trueTotal amount for the line group, including internal cost factors, as responded by the supplier bidder. -
TransformedLineAmount: number
Read Only:
trueTotal amount calculated as the quantity multiplied by the transformed price. -
TransformedLineRank: integer
Read Only:
trueLine ranking based on the total amount for a line group, including internal cost factors, as responded by the supplier bidder. -
TransformedPrice: number
Read Only:
trueThe sum of the line price and internal cost factors applied to a supplier for that line item. -
TransformedRank: integer
Read Only:
trueTransformed Rank for this particular bid. -
UnitPriceSavings: number
Read Only:
trueThe savings realized from one unit of the awarded line. -
UnitPriceSavingsPercent: number
Read Only:
trueThe percentage savings realized from one unit of the awarded line. -
VendorId: integer
Read Only:
trueValue that uniquely identifies the bidder.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.